
function OnOk()
 
 m_simpleTV.User.Youtube.Plst.Level0_Enabled = false 
 m_simpleTV.User.Youtube.Plst.Table_Level0 = m_simpleTV.User.Youtube.Plst.Table_Level1 
 m_simpleTV.User.Youtube.Plst.Header_Level0 = m_simpleTV.User.Youtube.Plst.Header_Level1 
 m_simpleTV.User.Youtube.Plst.Index = m_simpleTV.User.Youtube.Plst.IndexLevel0
 
end

function YoutubeOnCancel()
   
 m_simpleTV.Timer.DeleteTimer (m_simpleTV.User.Youtube.Plst.TimerId)
 m_simpleTV.User.Youtube.Plst.TimerId = nil
 m_simpleTV.User.Youtube.Plst.Level0_Enabled = false
   
 if m_simpleTV.User.Youtube.Plst.Header_Level0~=nil and m_simpleTV.User.Youtube.Plst.Table_Level0~=nil then
  m_simpleTV.OSD.ShowSelect_UTF8(m_simpleTV.User.Youtube.Plst.Header_Level0, (m_simpleTV.User.Youtube.Plst.PrevIndex or 0) ,m_simpleTV.User.Youtube.Plst.Table_Level0,5000,32,'')
 end  
 
end

function OnCancel()
 
 if m_simpleTV.User.Youtube.Plst.Level0_Enabled ~= true then return end
 
 if m_simpleTV.User~=nil and m_simpleTV.User.Youtube~=nil and m_simpleTV.User.Youtube.Plst~=nil then
 
    m_simpleTV.User.Youtube.Plst.TimerId = m_simpleTV.Timer.SetTimer(5,'YoutubeOnCancel()')
 end 
end